/* The side navigation menu */
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

html {
  font-size: 62.5%;
  background: #dd5e89; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #f7bb97,
    #dd5e89
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #f7bb97,
    #dd5e89
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

  
}

.sidenav {
  height: 100%; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  left: 0;
  background-color: #111; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

/* The navigation menu links */
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-family: "Roboto";
  font-size: 22px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover,
.offcanvas a:focus {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
  transition: margin-left 0.5s;
  padding: 20px;
  font-family: "Roboto";
  font-size: 22px;
}

div#home {
  display: block;
}
div#FCFS {
  display: none;
}
div#SJF {
  display: none;
}
div#RR {
  display: none;
}
/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }
  .sidenav a {
    font-size: 18px;
  }
}

.space {
  color: black;
}

.algo-title {
  text-align: center;
}

.instructions {
  text-align: right;
}

.instruction-set {
  text-align: left;
}

/* table, th, td {
    border: 1px solid black;
  } */

table.center {
  margin-left: auto;
  margin-right: auto;
}

.pr1 {
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
  border: 1px solid #2d9fd9;
  color: black;
  width: 80px;
  height: 30px;
  padding-left: 10px;
}

table,
th,
td {
  border-collapse: collapse;
  text-align: center;
  border: 2px solid black;
}

.process-btn {
  height: 5px;
}

.process-btn button {
  height: 20px;
  width: 20px;
  font-size: 16px;
  background-color: transparent;
  border: none;
  font-weight: bolder;
}
.hide {
  display: none;
}
button {
  padding: 5px;
}
#priority-toggle-btn {
  font-size: 12px;
  font-weight: bold;
  padding: 0 0;
  width: 60px;
}

.preferences {
  list-style: none;
}
#time-quantum {
  display: block;
}
.process-btn {
  display: none;
}

/* till here */

* {
    margin: 0;
    padding: 0;
    font-size: 17px;
  }
  
  .instructions {
    font-size: 14px;
    margin: 10px 20px;
  }
  
  h1 {
    font-size: 46px;
  }

  h3 {
    font-size: 36px;
  }
  
  table,
  th,
  td {
    border-collapse: collapse;
    text-align: center;
    border: 2px solid black;
  }
  
  td {
    padding: 0 2px;
  }
  
  table input {
    text-align: center;
    border: none;
    width: 100px;
  }
  
  .process-btn {
    height: 5px;
  }
  
  .process-btn button {
    height: 20px;
    width: 20px;
    font-size: 16px;
    background-color: transparent;
    border: none;
    font-weight: bolder;
  }
  
  .hide {
    display: none;
  }
  
  button {
    padding: 5px;
  }
  
  .schedule-table-process,
  .schedule-table-process td {
    border: 1px solid black;
  }
  
  .schedule-table-process {
    margin-left: 6px;
  }
  
  .schedule-table-time,
  .schedule-table-time td {
    text-align: left;
    /* border: 1px solid white; */
  }
  
  #algorithm-chart-div {
    width: 80%;
    height: 50%;
  }
  
  #round-robin-chart-div {
    height: 40%;
    width: 80%;
  }
  
  #gantt-chart {
    height: 250px;
    overflow-x: scroll;
    overflow-y: hidden;
  }
  
  #timeline-chart {
    overflow-x: scroll;
    overflow-y: hidden;
    height: 250px;
  }
  
  #output {
    margin-top: 20px;
  }
  
  #priority-toggle-btn {
    font-size: 12px;
    font-weight: bold;
    padding: 0 0;
    width: 60px;
  }
  
  .preferences {
    list-style: none;
  }
  
  thead {
    font-weight: bold;
  }
  
  #time-log-table-div {
    margin-top: 10vh;
    position: relative;
  }
  
  .time-log-table {
    width: 10%;
    position: absolute;
  }
  
  #remain-table {
    left: 7.5%;
  }
  
  #ready-table {
    left: 30.5%;
  }
  
  #running-table {
    right: 30.5%;
  }
  
  #block-table {
    left: 45%;
    top: 8vw;
  }
  
  #terminate-table {
    right: 7.5%;
  }
  
  .arrow {
    position: absolute;
    font-size: 100px;
  }
  
  #remain-ready {
    left: 20.5%;
    top: -62px;
  }
  
  #ready-running {
    transform: rotate(180deg);
    left: 47%;
    top: -15px;
    font-size: 80px;
  }
  
  #running-ready {
    left: 47%;
    top: -60px;
    font-size: 80px;
  }
  
  #running-terminate {
    right: 20.5%;
    top: -62px;
  }
  
  #running-block {
    transform: rotate(135deg);
    left: 52%;
    top: 20px;
  }
  
  #block-ready {
    transform: rotate(225deg);
    left: 40%;
    top: 20px;
  }
  
  strong {
    font-weight: bold;
  }
  
  em {
    font-style: italic;
  }
  
  table {
    /* background: #f5f5f5; */
    border-collapse: separate;
    /* box-shadow: inset 0 1px 0 #fff; */
    font-size: 12px;
    line-height: 24px;
    text-align: left;
    width: 800px;
  }
  
  th {
    background: 
      linear-gradient(#777, #444);
    border-left: 1px solid;
    border-right: 1px solid;
    border-top: 1px solid ;
    border-bottom: 1px solid ;
    color:white;
    box-shadow: inset 0 1px 0;
    font-weight: lighter;
    padding: 10px 15px;
    position: relative;
    text-shadow: 0 1px 0 ;
  }
  
  th:after {
    background: linear-gradient(
      rgba(255, 255, 255, 0),
      rgba(255, 255, 255, 0.08)
    );
    content: "";
    display: block;
    height: 25%;
    left: 0;
    margin: 1px 0 0 0;
    position: absolute;
    top: 25%;
    width: 100%;
  }
  
  th:first-child {
    border-left: 1px solid ;
    box-shadow: inset 1px 1px 0 ;
  }
  
  th:last-child {
    box-shadow: inset -1px 1px 0 ;
  }
  
  td {
    border-right: 1px solid ;
    border-left: 1px solid ;
    border-top: 1px solid ;
    border-bottom: 1px solid ;
    padding: 10px 15px;
    position: relative;
    transition: all 300ms;
  }
  
  td:first-child {
    box-shadow: inset 1px 0 0;
  }
  
  td:last-child {
    border-right: 1px solid ;
    box-shadow: inset -1px 0 0 ;
  }
  
  /* tr {
    background: url(https://jackrugile.com/images/misc/noise-diagonal.png);
  }
  
  tr:nth-child(odd) td {
    background: url(https://jackrugile.com/images/misc/noise-diagonal.png);
  } */
  
  tr:last-of-type td {
    box-shadow: inset 0 -1px ;
  }
  
  tr:last-of-type td:first-child {
    box-shadow: inset 1px -1px ;
  }
  
  tr:last-of-type td:last-child {
    box-shadow: inset -1px -1px ;
  }
  


  button {
    background-color:transparent ;
	  border: 2px solid black			;
cursor:pointer;
  position: relative;

  padding: 6px;
	
 
  border-radius: 5px;
	font-weight: 600;
    font-size: 18px;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	    color: black	;
	margin-right:10px;}
  

  
  button:hover {background-color:	black	;
    color:white;}